build:
  environment:
    startcontainers:
      runcontainers:
    create_db:
      dbcreate:
  codebase:
    assemble_codebase:
      checkout_core:
      checkout.contrib:
      fetch:
      patch:
      composer.core_install:
      gather_dependencies:
      update_build:
      yarn_install:
      start_phantomjs:
  assessment:
    validate_codebase:
      phplint:
      container_composer:
      csslint:
      eslint:
      phpcs:
    testing:
      container_command:
        commands:
          - cd ${SOURCE_DIR}
          - sudo -u www-data composer config repositories.asset {"composer","https://asset-packagist.org"}
          - sudo -u www-data composer config extra.installer-types.0 "npm-asset"
          - sudo -u www-data composer config extra.installer-types.1 "bower-asset"
          - sudo -u www-data composer config extra.installer-paths.libraries\/\{\$name\} "[type:bower-asset]"
          - sudo -u www-data sed -i 's/"\[type:bower-asset\]"/\["type:bower-asset"\]/' composer.json
          - sudo -u www-data composer require "oomphinc/composer-installers-extender:^2.0" "bower-asset/spectrum:^1.8" "bower-asset/jquery-simple-color:^v1.2.2"
      run_tests.standard:
        types: 'Simpletest,PHPUnit-Unit,PHPUnit-Kernel,PHPUnit-Functional'
      run_tests.js:
        concurrency: 1
        types: 'PHPUnit-FunctionalJavascript'
      nightwatchjs:
